curl --location --globoff 'https://.daftra.com/api2/invoice_appointments?limit=20&page=undefined&item_id=undefined&partner_id=undefined&action_id=undefined&id=undefined&status_id=undefined' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'{
"result": "successful",
"code": 200,
"data": [
{
"InvoiceAppointment": {
"id": 2415,
"item_type": 1,
"item_id": 1820,
"staff_id": 0,
"date": "2026-07-01 10:00:00",
"end_date": "2026-07-01 11:00:00",
"body": "Call the customer to confirm.",
"action_id": 5,
"status": 0,
"status_date": "2019-08-24T14:15:22.123Z",
"post_id": 0,
"recurring_appointment_id": 0,
"created": "2019-08-24T14:15:22.123Z",
"modified": "2019-08-24T14:15:22.123Z",
"partner_type": 1,
"partner_id": 0,
"share_with_partner": false
}
}
],
"pagination": {
"prev": "/api2/invoice_appointments/?page=1",
"next": "/api2/invoice_appointments/?page=3",
"page": 2,
"page_count": 5,
"total_results": 98
}
}